image: alpine:latest

pages:
  stage: deploy
  script:
  - echo 'Nothing to do...'
  artifacts:
    paths:
    - public
  only:
  - master

test:
  stage: test
  script:
  - echo 'testing stuff'
  - apk add --update python python-dev py-pip build-base tidyhtml 
  - pip install -r requirements.txt
  - python test/test.py
  artifacts:
    paths:
    - test
  only:
  - dev
